#######################################################################
#                                                                     #
#                                 Pph                                 #
#                                                                     #
#                    The Portable Project Handler                     #
#                                                                     #
#               EPI Pomdapi, INRIA Paris - Rocquencourt               #
#                                                                     #
#  Copyright 2005-2014 INRIA.                                         #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: unconfigure_parsing.profile,v 1.3 2014-02-27 23:29:17 fclement Exp $

#
# Pph system unconfiguration parsing.
# Used by user and devel unconfiguration profiles ``unconfigure.profile''.
#

UNCONFIGURE_OPTIONS="$@"

while test $# -gt 0; do
    
    case "$1" in
    
    # Operating modes.
    ( --verbosity-level | -verbosity-level | -vl )
        VAL=`expand "$2"`; shift
        VERBOSITY_LEVEL="$VAL"
        ;;
    ( --debug | -debug | -d)
        VERBOSITY_LEVEL="${DEBUG_LEVEL:?}"
        DEBUG=true
        ;;
    ( --report | -report | -r)
        VERBOSITY_LEVEL="${REPORT_LEVEL:?}"
        REPORT=true
        ;;
    ( --summary | -summary | -s)
        VERBOSITY_LEVEL="${SUMMARY_LEVEL:?}"
        SUMMARY=true
        ;;
    ( --trace | -trace | -x)
        set -x
        VERBOSITY_LEVEL="${DEBUG_LEVEL:?}"
        DEBUG=true
        ;;
    ( --see-you | -see-you | -n )
        VERBOSITY_LEVEL="${DEBUG_LEVEL:?}"
        SEE_YOU=true
        ;;
    
    # Help.
    ( --help | -help | -h )
        usage 1>&2
        exit 0
        ;;
    
    # Unknown option name.
    ( -* )
        error "unknown option name \"$1\""
        remedy ""
        exit ${UNKNOWN_OPTION_NAME_ERROR:?}
        ;;
    
    # Invalid argument.
    ( * )
        error "invalid argument \"$1\""
        remedy ""
        exit ${INVALID_ARGUMENT_ERROR:?}
        ;;
    
    esac
    
    shift
    
done
